Merge ~paelzer/ubuntu/+source/libvirt:lp-1899180-flaky-smoke-lxc-GROOVY into ubuntu/+source/libvirt:ubuntu/groovy-devel

Proposed by Christian Ehrhardt 
Status: Merged
Approved by: Christian Ehrhardt 
Approved revision: e252aec1fbd72282d74ab41f6689beb255640e83
Merged at revision: e252aec1fbd72282d74ab41f6689beb255640e83
Proposed branch: ~paelzer/ubuntu/+source/libvirt:lp-1899180-flaky-smoke-lxc-GROOVY
Merge into: ubuntu/+source/libvirt:ubuntu/groovy-devel
Diff against target: 85 lines (+39/-4)
3 files modified
debian/changelog (+9/-0)
debian/tests/control (+1/-1)
debian/tests/smoke-lxc (+29/-3)
Reviewer Review Type Date Requested Status
Robie Basak sru Approve
Canonical Server Pending
git-ubuntu developers Pending
Review via email: mp+395010@code.launchpad.net
To post a comment you must log in.
Revision history for this message
Christian Ehrhardt  (paelzer) wrote :
Revision history for this message
Robie Basak (racb) wrote :

Matches Hirsute upload. Since Hirsute isn't uploaded yet (as it was pending review), shall I leave it to you to upload all of these, and then all I need to do is check the upload matches these MPs and then let the SRU through?

review: Approve (sru)
Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

I've uploaded Hirsute - after waiting a bit (build and some tests at least) I'll also upload these to the SRU queue.
I'd then ping you to get them processed - thanks in advance.

Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

To ssh://git.launchpad.net/~usd-import-team/ubuntu/+source/libvirt
 * [new tag] upload/6.6.0-1ubuntu3.2 -> upload/6.6.0-1ubuntu3.2

Uploading to ubuntu (via ftp to upload.ubuntu.com):
  Uploading libvirt_6.6.0-1ubuntu3.2.dsc: done.
  Uploading libvirt_6.6.0-1ubuntu3.2.debian.tar.xz: done.
  Uploading libvirt_6.6.0-1ubuntu3.2_source.buildinfo: done.
  Uploading libvirt_6.6.0-1ubuntu3.2_source.changes: done.
Successfully uploaded packages.

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1diff --git a/debian/changelog b/debian/changelog
2index cdbae25..eacc9ef 100644
3--- a/debian/changelog
4+++ b/debian/changelog
5@@ -1,3 +1,12 @@
6+libvirt (6.6.0-1ubuntu3.2) groovy; urgency=medium
7+
8+ * Improve flaky smoke-lxc test (LP: #1899180)
9+ - d/t/control, d/t/smoke-lxc: retry service restart and skip test if
10+ failing; This was flaky on some release/architectures
11+ - d/t/smoke-lxc: retry check_domain being flaky on arm64
12+
13+ -- Christian Ehrhardt <christian.ehrhardt@canonical.com> Fri, 04 Dec 2020 08:12:02 +0100
14+
15 libvirt (6.6.0-1ubuntu3.1) groovy; urgency=medium
16
17 * d/p/ubuntu/lp-1901242-util-Fix-logic-in-virFileSetCOW.patch: fix dir pool
18diff --git a/debian/tests/control b/debian/tests/control
19index e38fa30..e1856fd 100644
20--- a/debian/tests/control
21+++ b/debian/tests/control
22@@ -19,7 +19,7 @@ Depends:
23 libvirt-daemon-driver-lxc,
24 libvirt-daemon-system,
25 libxml2-utils,
26-Restrictions: allow-stderr, needs-root, isolation-machine
27+Restrictions: allow-stderr, needs-root, isolation-machine, skippable
28
29 Tests: build-test
30 Depends:
31diff --git a/debian/tests/smoke-lxc b/debian/tests/smoke-lxc
32index ee29328..5713880 100755
33--- a/debian/tests/smoke-lxc
34+++ b/debian/tests/smoke-lxc
35@@ -16,10 +16,36 @@ cleanup()
36 fi
37 }
38
39+try_check_domain()
40+{
41+ for _ in $(seq 10); do
42+ check_domain && return
43+ sleep 2s
44+ done
45+ echo "Known to be unreliable on test infrastructure - skipping"
46+ exit 77
47+}
48+
49 check_domain()
50 {
51+ rc=0
52 virsh list | grep -qs "${DOMAIN}[[:space:]]\+running"
53+ rc=$((rc+$?))
54 virsh lxc-enter-namespace --noseclabel ${DOMAIN} /bin/ls /bin/ls
55+ rc=$((rc+$?))
56+ return $rc
57+}
58+
59+try_restart_libvirtd()
60+{
61+ for _ in $(seq 10); do
62+ systemctl restart libvirtd && return
63+ sleep 2s
64+ done
65+ # This turned out to be flaky, non reproducible outside of LP-infra and
66+ # is not what we want to test, Skip the test in this case
67+ echo "Restart failed while checking for container-survival-through restart - skipping".
68+ exit 77
69 }
70
71 trap cleanup EXIT
72@@ -35,10 +61,10 @@ rm -f /var/log/libvirt/lxc/sl.log
73 virsh start ${DOMAIN}
74 # Check virtlogd is running
75 grep -qs "starting up" /var/log/libvirt/lxc/sl.log
76-check_domain
77+try_check_domain
78 # Make sure a restart doesn't termiante the domain
79-systemctl restart libvirtd
80-check_domain
81+try_restart_libvirtd
82+try_check_domain
83 virsh destroy ${DOMAIN} || true
84 virsh undefine ${DOMAIN}
85 CLEANED_UP=1

Subscribers

People subscribed via source and target branches